Bug 1871705 (CVE-2020-24606) - CVE-2020-24606 squid: Improper input validation could result in a DoS
Summary: CVE-2020-24606 squid: Improper input validation could result in a DoS
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-24606
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1871706 1872349 1872350
Blocks: 1871707
TreeView+ depends on / blocked
 
Reported: 2020-08-24 05:05 UTC by Michael Kaplan
Modified: 2020-11-04 03:32 UTC (History)
8 users (show)

Fixed In Version: squid 4.13, squid 5.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-30 09:57:30 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4082 None None None 2020-09-30 07:01:19 UTC
Red Hat Product Errata RHSA-2020:4743 None None None 2020-11-04 03:32:09 UTC

Description Michael Kaplan 2020-08-24 05:05:25 UTC
Due to Improper Input Validation Squid is vulnerable to a Denial of Service attack
against the machine operating Squid.

Upstream Advisory:

https://github.com/squid-cache/squid/security/advisories/GHSA-vvj7-xjgq-g2jg

Affected Versions: 3.0-4.12, 5.0.1-5.0.3
Fixed Versions: 4.13, 5.0.4

Comment 1 Michael Kaplan 2020-08-24 05:05:44 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1871706]

Comment 6 Cedric Buissart 2020-09-03 07:00:10 UTC
Mitigation:

Add the no-digest option to all cache_peer lines in squid.conf

Comment 12 errata-xmlrpc 2020-09-30 07:01:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4082 https://access.redhat.com/errata/RHSA-2020:4082

Comment 13 Product Security DevOps Team 2020-09-30 09:57:30 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-24606

Comment 14 errata-xmlrpc 2020-11-04 03:32:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4743 https://access.redhat.com/errata/RHSA-2020:4743


Note You need to log in before you can comment on or make changes to this bug.